get
/{tenantId}/v1/products/{productCode}/component-groupsList product component groups
Requires Authentication
Products
Returns all component groups for a product that the tenant has access to.
Only enabled groups are returned.
Path Parameters
| Name | Type | Description |
|---|---|---|
tenantIdrequired | string (uuid) | Tenant UUID |
productCoderequired | string | Product code |
Responses
List of accessible component groups
Response Bodyapplication/json
array
AccessibleComponentGroup[]AccessibleComponentGroup
idstring (uuid)
codestring
namestring
descriptionstring
requiredboolean
- Whether selection from this group is requiredmultiSelectboolean
- Whether multiple items can be selectedmodestring
enum: "sum" | "bundle" | "max" | "tiered"- Pricing mode (sum prices, use bundle price, use max price, or tiered pricing)Code Examples
curl -X GET 'https://api-next.checkio.co.uk/{tenantId}/v1/products/{productCode}/component-groups' \
-H 'Authorization: Bearer {token}'